(cd .. && DO $cmd$debugp$eval'(or #.(load "test/script-support.lisp") #.(asdf-test::compile-asdf-script))')
## We go through great lengths to avoid " in the command line,
## the quoting of which some Windows implementations get wrong.
## While we're at it, we also avoid spaces and backslashes.
(cd .. && DO $cmd$debugp$eval'(or #.(load(string`|test/script-support.lisp|))#.(asdf-test::compile-asdf-script))')
if[$?-ne 0 ];then
if[$?-ne 0 ];then
echo"Compilation FAILED">&2
echo"Compilation FAILED">&2
echo"you can retry compilation with:">&2
echo"you can retry compilation with:">&2
...
@@ -105,7 +108,7 @@ do_tests () {
...
@@ -105,7 +108,7 @@ do_tests () {
echo"Testing: $i">&2
echo"Testing: $i">&2
test_count=`expr"$test_count" + 1`
test_count=`expr"$test_count" + 1`
rm-f ~/.cache/common-lisp/"`pwd`"/*||true
rm-f ~/.cache/common-lisp/"`pwd`"/*||true
if DO $cmd$debugp$eval"(load\"script-support.lisp\")"$eval"(progn(asdf-test::load-asdf)(asdf-test::frob-packages)(asdf-test::with-test()(load\"$i\")))";then
if DO $cmd$debugp$eval"(load(string'|script-support.lisp|))"$eval"(progn(asdf-test::load-asdf)(asdf-test::frob-packages)(asdf-test::with-test()(load(string'|$i|)))";then
echo"Using $command, $i passed">&2
echo"Using $command, $i passed">&2
test_pass=`expr"$test_pass" + 1`
test_pass=`expr"$test_pass" + 1`
else
else
...
@@ -359,14 +362,14 @@ run_upgrade_tests () {
...
@@ -359,14 +362,14 @@ run_upgrade_tests () {
echo"Testing ASDF upgrade from ${tag} using method $method"
echo"Testing ASDF upgrade from ${tag} using method $method"